Subject: Re: Using alternate working directory

From: Ram Rachum <[email-masked]>
Date: Tue, 24 Sep 2013 07:27:37 +0300

Does anyone care to help? I'd really like to solve this  :(

On 22/9/2013 00:04, Ram Rachum wrote:
> Hi everybody!
>
> I need some help with Git.
>
> I'm making a script `gm` which lets me merge one branch into another 
> without having either checked out. It works for some cases but not 
> all. I'm trying to make it work for more cases.
>
> I concluded that the best way to do it would be by using an alternate, 
> temporary working directory instead of the repo itself.
>
> This is my script:
>
>     https://gist.github.com/cool-RR/6575042
>
> Now, the problem is that when I try it, it gives these errors:
>
>     git checkout-index: my_file is not in the cache and then error:
>     my_file: cannot add to the index - missing --add option?
>
> Anyone has any idea what to do?
>
> P.S. I've also asked this on Stack Overflow, so whoever comes up with 
> an answer can claim his 150 imaginary internet points on that question.
>
>
> Thanks,
> Ram.